import config from './api/config.mjs'

export function start(http, port, ctx) {
  config.sources[1].store = ctx.config

  return import('./api/server.mjs')
  .then(function(module) {
    let server = new module.default(http, port, ctx)
    return server.run()
  })
}
